List assignments for a collection order
GET
/v1/projects/{projectId}/collection-orders/{orderId}/assignmentscurl -X GET 'https://api.embodiflow.io/v1/projects/{projectId}/collection-orders/{orderId}/assignments' \
-H 'Authorization: Bearer $EMBODIFLOW_PAT'认证
每个请求都需要携带个人访问令牌(PAT)。
- Authorization: Bearer PAT
路径参数
- projectIdstring必填
- orderIdstring必填
查询参数
- pageSizenumber
Page size (default 25, maximum 100). Over-maximum is refused.
- pageTokenstring
Opaque page token from the previous response.
响应
Success
- dataarray<CollectionAssignmentDto>必填
- idstring必填
- orderIdstring必填
- taskIdstring | null必填
- collectorMembershipIdstring必填
- collectorNamestring | null必填
- statusstring必填可选值activeremoved
- assignedBystring | null必填
- createdAtstring必填
- updatedAtstring必填
- nextPageTokenstring
Opaque AIP-158 page token. Omitted when the collection is exhausted.
- metaobject必填
- pageSizenumber必填
- totalCountnumber
- truncatedone of
- requestIdstring
响应示例
{
"data": [
{
"id": "string",
"orderId": "string",
"taskId": "string",
"collectorMembershipId": "string",
"collectorName": "string",
"status": "active",
"assignedBy": "string",
"createdAt": "string",
"updatedAt": "string"
}
],
"nextPageToken": "string",
"meta": {
"pageSize": 0,
"totalCount": 0,
"truncated": false,
"requestId": "string"
}
}服务器https://api.embodiflow.io/v1https://api.embodiflow.dev/v1